@import url('https://fonts.googleapis.com/css2?family=Racing+Sans+One&display=swap');
/*   font-family: 'Racing Sans One', cursive; */
@import url('https://fonts.googleapis.com/css2?family=Mallanna&display=swap');
/* font-family: 'Mallanna', sans-serif; */
@import url('https://fonts.googleapis.com/css2?family=Russo+One&display=swap');
/* font-family: 'Russo One', sans-serif; */
@import url('https://fonts.googleapis.com/css2?family=Days+One&display=swap');
/* font-family: 'Days One', sans-serif; */
@import url('https://fonts.googleapis.com/css2?family=Signika:wght@300&display=swap');
/* font-family: 'Signika', sans-serif; */


/*
FLEX TYPES
*/
.flex-jc-sa{
    display: flex;
    justify-content: space-around;
}

.flex-jc-sa-al-cntr {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.flex-dir-col-al-cntr {
    display: flex;
    flex-direction: column;
    align-items: center;
}


/*
END FLEXT TYPES
*/


body {
    background-image: url("/graphics/tilebgrnd01.png");
    background-repeat: repeat;
   /* background-attachment: fixed;*/
    font-size: 1rem;
    font-family: 'Mallanna', sans-serif;
}

.container, .modal {
    color: #fff;

}

a:link, a:visited {
    color: #f3be58;
}

a:hover, a:active {
    text-decoration: underline;
}

h1.titles {
    font-family: 'Racing Sans One', cursive;
    text-shadow: 2px 2px black;
    /*margin-top: 1rem;
    margin-right: 20px;*/
    font-size: 3rem;
    color: #f3be58;
    margin-bottom: 0px;
}

h2 {
    font-family: 'Racing Sans One', cursive;
    margin-top: 1rem;
    margin-right: 20px;
    font-size: 2rem;
    text-shadow: 2px 2px black;
    color: #f3be58;
}


manual, button.manual {
    font-family: 'Signika', sans-serif;
}


button {
    font-family: 'Racing Sans One', cursive;
}

button.faq {
    font-family: 'Signika', sans-serif;
    color: #f3be58;
    background-color: rgba(0, 0, 0, 0.40);
    border: 3px outset #e8883f;
    font-size: 11px;
}

button.access {
    color: #f3be58;
    background-color: rgba(0, 0, 0, 0.40);
    border: 3px outset #e8883f;
}

button.add-play {
    color: #f3be58;
    background-color: rgb(70,31,13);
    border: 3px outset #e8883f;
}

button.add-play:hover,
button.access:hover,
button.faq:hover {
    color: #fff;
}

button.rounded {
    border-radius: 50% !important;
    width: 30px;
    height: 30px;
    border: solid 2px #e8883f !important;
}


a {
    color: #fff;
    text-decoration: none;
}

.header-stats-nav {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: nowrap;
}

.sub-head {
    font-family: 'Racing Sans One', cursive;
    font-size: 1.3rem;
    color: #f3be58;
    text-shadow: 2px 2px black;
}

.examples-sub-head {
    font-family: 'Russo One', sans-serif;
    font-size: 1rem;
    color: #f3be58;
    text-shadow: 2px 2px black;
}

.white-head-lg-signika {
    font-family: 'Signika', sans-serif;
    font-size: 2rem;
    color: #fff;
    text-shadow: 0px 0px 5px black;
}

.white-head-med-signika {
    font-family: 'Signika', sans-serif;
    font-size: 1rem;
    color: #fff;
    text-shadow: 0px 0px 5px black;
}

.sub-head2 {
    font-family: 'Racing Sans One', cursive;
    font-size: 1rem;
    color: #f3be58;
    text-shadow: 2px 2px black;
}

.text-color {
    color: #f3be58;
}

.sub-text {
    font-size: 1.3rem;
    color: #f3be58;
    text-shadow: 2px 2px black;
}

.balls-container {
    display: flex;
    justify-content: space-evenly;
}

.white-text {
    color: #fff;
}

.past-draw-balls-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.home-ntnl-game-logo {
    width: 399px;
    height: 110px;
}



/*
 //////////////////START BALL STYLES
 */

.ball-num-black-med {
    color: #000;
    font-size: 2rem;
}

.ball-num-black-sm {
    color: #000;
    font-size: 1.4rem;
}

.ball-num-black-xsm {
    color: #000;
    font-size: 1.0rem;
}

.ball-num-white-med {
    color: #fff;
    font-size: 2rem;
    text-shadow: 0 0 5px #000, 0 0 5px #000;
}

.ball-num-white-sm {
    color: #fff;
    font-size: 1.4rem;
    text-shadow: 0 0 5px #000, 0 0 5px #000;
}

.ball-num-white-xsm {
    color: #fff;
    font-size: 1.0rem;
    text-shadow: 0 0 5px #000, 0 0 5px #000;
}

.ball-yellow-med {
    background-image: url(/graphics/app/balls-sprite-400w.png);
    background-repeat: no-repeat;
    background-position: -7px -12px;
    width: 50px;
    height: 50px;
    text-align: center;
    position: relative;
}

.ball-white-med {
    background-image: url(/graphics/app/balls-sprite-400w.png);
    background-repeat: no-repeat;
    background-position: -74px -12px;
    width: 50px;
    height: 50px;
    text-align: center;
    position: relative;
}

.ball-red-med {
    background-image: url(/graphics/app/balls-sprite-400w.png);
    background-repeat: no-repeat;
    background-position: -139px -12px;
    width: 50px;
    height: 50px;
    text-align: center;
    position: relative;
}



.ball-yellow-green-med {
    background-image: url(/graphics/app/balls-sprite-400w.png);
    background-repeat: no-repeat;
    background-position: -335px -12px;
    width: 50px;
    height: 50px;
    text-align: center;
    position: relative;
}

.ball-yellow-sm {
    background-image: url(/graphics/app/balls-sprite-267w.png);
    background-repeat: no-repeat;
    background-position: -4px -7px;
    width: 35px;
    height: 35px;
    text-align: center;
    position: relative;
}

.ball-white-sm {
    background-image: url(/graphics/app/balls-sprite-267w.png);
    background-repeat: no-repeat;
    background-position: -48px -7px;
    width: 35px;
    height: 35px;
    text-align: center;
    position: relative;
}

.ball-red-sm {
    background-image: url(/graphics/app/balls-sprite-267w.png);
    background-repeat: no-repeat;
    background-position: -92px -7px;
    width: 35px;
    height: 35px;
    text-align: center;
    position: relative;
}

.ball-purple-sm {
    background-image: url(/graphics/app/balls-sprite-267w.png);
    background-repeat: no-repeat;
    background-position: -136px -7px;
    width: 35px;
    height: 35px;
    text-align: center;
    position: relative;
}

.ball-orange-sm {
    background-image: url(/graphics/app/balls-sprite-267w.png);
    background-repeat: no-repeat;
    background-position: -180px -7px;
    width: 35px;
    height: 35px;
    text-align: center;
    position: relative;
}

.ball-yellow-green-sm {
    background-image: url(/graphics/app/balls-sprite-267w.png);
    background-repeat: no-repeat;
    background-position: -224px -7px;
    width: 35px;
    height: 35px;
    text-align: center;
    position: relative;
}

.ball-white-xsm {
    background-image: url(/graphics/app/balls-sprite-133w.png);
    background-repeat: no-repeat;
    background-position: -23px -1px;
    width: 20px;
    height: 20px;
    text-align: center;
    position: relative;
}

.ball-red-xsm {
    background-image: url(/graphics/app/balls-sprite-133w.png);
    background-repeat: no-repeat;
    background-position: -44px -1px;
    width: 20px;
    height: 20px;
    text-align: center;
    position: relative;
}

.ball-yellow-xsm {
    background-image: url(/graphics/app/balls-sprite-133w.png);
    background-repeat: no-repeat;
    background-position: -4px -1px;
    width: 20px;
    height: 20px;
    text-align: center;
    position: relative;
}
/*
 //////////////////END BALL SPRITE STYLES
 */

input:focus, select:focus {
    border: 1px solid #e8883f;
    outline:solid 1px #e8883f;
}

.shaded {
    opacity: 0.30;
}


.multiplier {
    margin-left: 30px;
    text-align: center;
    font-size: 1rem;
    line-height: 1rem;
    position: relative;
}

.ball-num-heading {
    font-size: 1rem;
    color: #fff;
    text-align: center;
}

.ball-input-field, .multiplier-ball-input-field, .special-ball-input-field {
    background: none;
    width: 50px;
    border: none;
}

#ntl_ball_input_wrapper .ball-input-field ,
#ntl_ball_input_wrapper .multiplier-ball-input-field,
#ntl_ball_input_wrapper .special-ball-input-field {
    text-align: center;
}


.home-ntl-results {
    width: 425px;
    text-align: center;
}

.framed-div-3-outset {
    border: 3px outset #e8883f;
    border-radius: 10px;
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.40);
}

.framed-div-3-outset-darker {
    border: 3px outset #e8883f;
    border-radius: 10px;
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.60);
}


.results-framed-div-3-outset {
    border: 3px outset #e8883f;
    border-radius: 10px;
    background-color: rgba(0, 0, 0, 0.40);
}

hr {
    background-color: #c4892e;
    margin-top: 6px;
    margin-bottom: 6px;
    opacity: .8;
}


.hr-thin {
    height: 4px;
}

.previous-drawings-wrapper {
    border-radius: 5px;
    border: 1px solid #fff;
    background-color: rgba(0, 0, 0, 0.2);
    padding: 6px;
}

.game-card {
    min-width: 400px;
    max-width: 525px;
    text-align: center;
}

.game-card .framed-div-3-outset {
    padding: 0;
}


.white-back-override {
    background-color: rgb(250, 250, 250);
    color: #000;
}





.results-game-type {
    font-family: 'Signika', sans-serif;
    font-size: .8rem;
    line-height: normal;
}

.results-draw-type {
    font-family: 'Russo One', sans-serif;
    font-size: 1rem;
}

.play-multiplier {
    font-family: 'Signika', sans-serif;
    font-size: 1rem;
}

.results-game-title {
    font-family: 'Racing Sans One', cursive;
    font-size: 2rem;
    color: #000;
    line-height: normal;
}

.results-draws-heading_wrapper {
    background-color: #f3be58;
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
    align-items: center;
    padding: 6px;
}

.results-draws-heading_container {
    display: flex;
    justify-content: space-between;
}

.match-stamp {
    position: absolute;
    font-family: 'Arial Black';
    font-size: 8pt;
    color: green;
    transform: rotate(-45deg);
    top: -1px;
    left: -18px;
    text-shadow: none !important;
}

.match {
    position: relative;
}

.multiplier-match-stamp {
    font-family: 'Arial Black';
    font-size: 8pt;
    color: green;
    text-shadow: none !important;
}

.results-table {
    margin-bottom: 0;
}

.results-table tbody {
    text-align: center; vertical-align: middle;
}

.results-table td {
    position: relative;
}

.results-table th {
    position: sticky;
    top: -1px; /* Don't forget this, required for the stickiness */
    background-color: #f9f2a6;
/*    border-top: 2px solid #000;
    border-bottom: 2px solid #000;*/
    z-index: 99;
    margin: 0;
    padding: 0;
}


.results-draw-count {
    position: absolute;
    top: 0px;
    left: 0px;
    font-size: 0.7rem;
    margin-left: 5px;
    margin-top: 5px;
}

.jackpot {
    color: green;
    font-family: 'Racing Sans One', cursive;
    text-shadow: 2px 2px black;
    margin: 0;
    padding: 0;
    font-size: 1.5rem;
}

h4.estimated-winnings {
    color: green;
    font-family: 'Signika', cursive;
    margin: 0;
    padding: 0;
    font-size: 1.5rem;
}

th, td {
    font-family: 'Signika', sans-serif;
}

#add_ntl_play_modal input {
    text-align: center;
}

.validate-check-success {
    background-image: url(/graphics/checks-pluses150.png);
    background-repeat: no-repeat;
    background-position: -2px -3px;
    width: 43px;
    height: 43px;
    text-align: center;
    position: relative;
    background-size: 100px;
    margin: auto 0;
}

/*
.validate-check-ready {
    background-image: url(/graphics/checks-pluses150.png);
    background-repeat: no-repeat;
    background-position: -2px -3px;
    width: 43px;
    height: 43px;
    text-align: center;
    position: relative;
    background-size: 100px;
    margin: auto 0;
    cursor: pointer;
}*/

.validate-heading-shaded {
    color: #6c6c6c;
}

button#submit_play,
button#submit_and_add_play{
    font-family: 'Signika', sans-serif;
    font-size: 1rem;
    color: #000;
}

/*.ball-shade-over-multiplier-radio {
    position: absolute;
    background-color: rgba(0,0,0,0.7);
    height: 78px;
    width: 271px;
    left: 404px;
}

.ball-shade-over-multiplier {
    position: absolute;
    background-color: rgba(0,0,0,0.7);
    height: 78px;
    width: 200px;
    left: 477px;
}

.ball-shade-over-validate {
    position: absolute;
    background-color: rgba(0,0,0,0.7);
    height: 78px;
    width: 118px;
    left: 558px;
}

.ball-shade-over-off {
    position: absolute;
    background-color: rgba(0,0,0,0.7);
    height: 78px;
    width: 0px;
    left: 703px;
}*/

.date-pickers-section-flex {
    display: flex;
    justify-content: space-evenly;
    align-content: center;
    margin-bottom: 6px;
}

.step-text {
    text-align: center; margin: auto 0;
}

.step-text h6,
.button.step {
    margin: 0;
}

select.draw_actions_select {
    background-color: #f3be58;
    border: #e8883f outset 4px;
    padding-left: 20px;
    font-family: 'Racing Sans One', cursive;
    padding-bottom: 5px;
    z-index: 9999;
}

.results-td-draw-date,
.results-td-winnings {
    width: 200px;
}

.results-draw-date {
    margin-top: 15px;
}


.results_container {
    display: block;
    overflow-x: hidden;
    overflow-y: auto;
}

.draw-results-partial {
    max-height: 200px;
}

.draw-results-full {
    max-height: 600px;
}


.results-hide-closed {
    max-height:0px;
}

.faq:link, .faq:active, .faq:visited {
    color: #ffffff;
}

.faq-top:link, .faq-top:active, .faq-top:visited {
    color: #cccccc;
}

.winnings-pill {
    color: #131313;
    font-size: larger;
    font-weight: bold;
    background-color: #88e857;
    border-radius: 44px;
    padding: 0px 26px;
    margin-top: 4px;
}

.add-play-saved-overlay {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 99999;
    color: greenyellow;
    font-family: 'Russo One', sans-serif;
    font-size: 6rem;
    background-color: rgba(0, 0, 0, 0.8) !important;
    line-height: normal;
    display: none;
    justify-content: center;
    align-items: center;
}
